#
# This is a default configuration file for the SitaWare Tactical Communication
# logger. Change these settings as appropriate.
#

###############################################################################
# Root Logger
###############################################################################

#
# Specifies the default logging level for the root logger. 
# Individual loggers and handlers may override this level (restricting it more) 
# Use one of the following levels: ALL, SEVERE, WARNING, INFO, CONFIG, FINE, FINER, FINEST
#
.level = WARNING
com.systematic.sitaware.bm.stdout.level = INFO
com.systematic.sitaware.tactical.comms.middleware.stc.platform.internal.PlatformInformationServiceImpl.level = INFO
com.systematic.sitaware.tactical.comms.middleware.stc.internal.networklayer.SocketController.level = INFO
com.systematic.sitaware.framework.osgi.level = INFO
com.systematic.sitaware.framework.application.level = INFO
com.systematic.sitaware.framework.internal.application.level = INFO
com.systematic.sitaware.framework.application.ApplicationState.level = INFO
com.systematic.sitaware.framework.configuration.internal.PerformanceLoggingControllerImpl.level=FINEST
com.google.protobuf.UnsafeUtil.level=SEVERE
org.apache.felix.http.level = SEVERE
org.apache.cxf.phase.PhaseInterceptorChain.level = SEVERE
org.apache.cxf.transport.servlet.ServletController.level = SEVERE
org.eclipse.jetty.level = SEVERE

###############################################################################
# FileHandler
# A handler that writes log entries to file.
###############################################################################
#
# Specify the handlers to create in the root logger
#
handlers = com.systematic.sitaware.framework.logging.MultiFileHandler

#
# Specifies the default logging level (defaults to ALL). Levels are the same as for the root logger.
# This overrides the log level for the root logger as specified in .level
#
java.util.logging.FileHandler.level = ALL

#
# Specifies the output format to use (defaults to java.util.logging.XMLFormatter)
# Use one of: java.util.logging.SimpleFormatter or java.util.logging.XMLFormatter
#
java.util.logging.FileHandler.formatter = com.systematic.sitaware.framework.logging.SwflFormatter

#
# Specifies an approximate maximum amount to write (in bytes) to any one file (defaults to no limit).
# If this is zero, then there is no limit.
#
java.util.logging.FileHandler.limit = 10000000

#
# Specifies how many output files to cycle through (defaults to 1)
#
java.util.logging.FileHandler.count = 10

#
# Specifies whether the FileHandler should append onto any existing files (defaults to false).
#
java.util.logging.FileHandler.append = false

#
# Specifies more wide encoding system to handle month and 12 hour clock system naming for arabic and thai languages
#
java.util.logging.FileHandler.encoding=UTF-8

#
# Specifies a pattern for generating the output file name. See below for details. (Defaults to "%h/java%u.log").
#
# "%l" the SitaWare Tactical Communication "logs" directory
# "/"  the local path name separator
# "%t" the system temporary directory
# "%h" the value of the "user.home" system property
# "%g" the generation number to distinguish rotated logs
# "%u" a unique number to resolve conflicts
# "%d" current date time (e.g. to see when performance was started)
# "%n" node id used when doing performance measurements
# "%%" translates to a single percent sign "%"
#
java.util.logging.FileHandler.pattern = %l/hC2Tactical Communication.%g.log

#
# Compression of rotated performance logs
#
compression=ZIP
compression.file.pattern=^node%n.*\\.[1-9]\\.log$
compression.directory=%l

